function plot_2D(N, q_collection, mu_collection)

for i = 1:3:3*N
    figure(1)
    plot(q_collection(i, :), q_collection(i+1, :), q_collection(i, 1:100:end), q_collection(i+1, 1:100:end), 'o')
    hold on
    plot(q_collection(i, 1), q_collection(i+1, 1), '.k', 'MarkerSize', 20)
    hold on
    figure(2)
    mu_collection(i,1:10:end) = mu_collection(i,1:10:end)./sqrt(mu_collection(i,1:10:end).^2 + mu_collection(i+1,1:10:end).^2);
    mu_collection(i+1,1:10:end) = mu_collection(i+1,1:10:end)./sqrt(mu_collection(i,1:10:end).^2 + mu_collection(i+1,1:10:end).^2);
    quiver(q_collection(i, 1:10:end), q_collection(i+1, 1:10:end), mu_collection(i, 1:10:end), mu_collection(i+1, 1:10:end))
    hold on
    axis equal
end

figure(1)
set(gca,'linewidth',2)
set(gca,'fontsize',14)
xlabel('x')
ylabel('y')
%savefig([num2str(N) ,'_particles_positions_T' num2str(T), '_nsteps', num2str(n_steps)])
%print([num2str(N) ,'_particles_positions_T' num2str(T), '_nsteps', num2str(n_steps)],'-dpng')

figure(2)
set(gca,'linewidth',2)
set(gca,'fontsize',14)
xlabel('x')
ylabel('y')
%savefig([num2str(N) ,'_particles_directions_T' num2str(T), '_nsteps', num2str(n_steps)])
%print([num2str(N) ,'_particles_directions_T' num2str(T), '_nsteps', num2str(n_steps)],'-dpng')
end