function out = f_m(q, Q, mu_bar, mu, n, N)
temp = zeros(N*n, n);
for i = 1:N
    q_i = q((i-1)*n+1:i*n);
    for j = 1:N
        if j ~= i
            mu_j = mu((j-1)*n+1:j*n);
            q_j = q((j-1)*n+1:j*n);
            r_ij = q_i - q_j;
            r_ij_norm = norm(r_ij);
            temp((i-1)*n+1:i*n, :) = temp((i-1)*n+1:i*n, :) + (mu_j*mu_bar')/r_ij_norm^3 - (3*(mu_j'*r_ij)*(r_ij*mu_bar'))/r_ij_norm^5;
        end
    end
end

out = zeros(n*N, 1);
for i = 1:N
    out((i-1)*n+1:i*n) = -rot(Q((i-1)*n+1:i*n, :)'*temp((i-1)*n+1:i*n, :));
end
end
       